<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-map.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'tr',
  ),
  'this' => 
  array (
    0 => 'ds-map.sorted.php',
    1 => 'Ds\\Map::sorted',
  ),
  'up' => 
  array (
    0 => 'class.ds-map.php',
    1 => 'Ds\\Map',
  ),
  'prev' => 
  array (
    0 => 'ds-map.sort.php',
    1 => 'Ds\\Map::sort',
  ),
  'next' => 
  array (
    0 => 'ds-map.sum.php',
    1 => 'Ds\\Map::sum',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/ds/ds/map/sorted.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-map.sorted" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Map::sorted</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Map::sorted</span> &mdash; <span class="dc-title">Returns a copy, sorted by value</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-map.sorted-description">
  <h3 class="title">Açıklama</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Ds\Map::sorted</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$comparator</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="class.ds-map.php" class="type Ds\Map">Ds\Map</a></span></div>

  <p class="para rdfs-comment">
    Returns a copy, sorted by value using an optional <code class="parameter">comparator</code> function.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-map.sorted-parameters">
  <h3 class="title">Bağımsız Değişkenler</h3>
  <dl>
   
     <dt><code class="parameter">comparator</code></dt>
     <dd>
      <p class="para">
 Karşılaştırma işlevinin, ilk bileşeninin ikinci
bileşenden küçük, eşit veya büyük olması durumunda sıfırdan küçük, eşit veya
büyük bir tamsayı döndürmesi gerekir.
</p>
<div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$a</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$b</code></span>): <span class="type"><a href="language.types.integer.php" class="type int">int</a></span></div>

<div class="caution"><strong class="caution">Dikkat</strong>
 <p class="para">
  Karşılaştırma işlevinden <span class="type"><a href="language.types.float.php" class="type float">float</a></span> gibi
  <em>tamsayı olmayan</em> değerlerin döndürülmesi, geri çağırım
  işlevinin dönüş değerinin dahili olarak <span class="type"><a href="language.types.integer.php" class="type int">int</a></span> türüne
  dönüştürülmesiyle sonuçlanır. Bu nedenle <code class="literal">0.99</code> ve
  <code class="literal">0.1</code> gibi değerlerin her ikisi de <code class="literal">0</code>
  tamsayı değerine dönüştürüp bunlar eşit değerler olarak karşılaştırılacaktır.
 </p>
</div>
     </dd>
    
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-map.sorted-returnvalues">
  <h3 class="title">Dönen Değerler</h3>
  <p class="para">
    Returns a copy of the map, sorted by value.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-map.sorted-examples">
  <h3 class="title">Örnekler</h3>
  <div class="example" id="example-4281">
   <p><strong>Örnek 1 <span class="function"><a href="ds-map.sort.php" class="function">Ds\Map::sort()</a></span> example</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #DD0000">"a" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #DD0000">"b" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #DD0000">"c" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">1</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sorted</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>
Yukarıdaki örnek şuna benzer bir çıktı üretir:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Map Object
(
    [0] =&gt; Ds\Pair Object
        (
            [key] =&gt; c
            [value] =&gt; 1
        )

    [1] =&gt; Ds\Pair Object
        (
            [key] =&gt; a
            [value] =&gt; 2
        )

    [2] =&gt; Ds\Pair Object
        (
            [key] =&gt; b
            [value] =&gt; 3
        )

)</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4282">
   <p><strong>Örnek 2 <span class="function"><a href="ds-map.sort.php" class="function">Ds\Map::sort()</a></span> example using a comparator</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #DD0000">"a" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #DD0000">"b" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #DD0000">"c" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">1</span><span style="color: #007700">]);<br /><br /></span><span style="color: #FF8000">// Reverse<br /></span><span style="color: #0000BB">$sorted </span><span style="color: #007700">= </span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sorted</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$a</span><span style="color: #007700">, </span><span style="color: #0000BB">$b</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$b </span><span style="color: #007700">&lt;=&gt; </span><span style="color: #0000BB">$a</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sorted</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>
Yukarıdaki örnek şuna benzer bir çıktı üretir:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Map Object
(
    [0] =&gt; Ds\Pair Object
        (
            [key] =&gt; b
            [value] =&gt; 3
        )

    [1] =&gt; Ds\Pair Object
        (
            [key] =&gt; a
            [value] =&gt; 2
        )

    [2] =&gt; Ds\Pair Object
        (
            [key] =&gt; c
            [value] =&gt; 1
        )

)</pre>
</div>
   </div>
  </div>

 </div>


</div><?php manual_footer($setup); ?>